Subject: Re: bug#34992: 26.1; message-send-mail-with-mailclient mangles MIME messages

From: David Bremner <[email-masked]>
Date: Tue, 26 Mar 2019 14:16:45 -0300

Eli Zaretskii <[email-masked]> writes:

>> From: Richard Stallman <[email-masked]>
>> 
>> It might also be impossible to do that.  When Emacs uses the system
>> mail client, doesn't it normally run that client in a noninteractive
>> way?
>
> No, Emacs copies the message text into the system clipboard and tells
> the user to paste it from there into the mail client.

I think that's only the default on Windows. On my machines [1] it just
silently sends. This might depend on what the mailclient is; I have read
reports that thunderbird opens a window with the (MIME-encoded)
message. I imagine this depends on the setting of
"browse-url-mailto-function"; on my systems it is 'browse-url-mail,
which seems to be the default.

[1]: Various versions of Debian GNU/Linux